%define name berry-theme
%define version 0.11
%define release b1

Name:		%{name}
Summary:	The Berry Linux Theme
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		User Interface/Desktops
Source:		%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}

BuildArchitectures: noarch


%description
Theme for Berry Linux for KDE splash, sidebar and wallpaper.


##
## Setup Section
##

%prep
%setup -q


##
## Build Section
##

%build


##
## Install Section
##

%install
install -m 755 -d %{buildroot}/usr/share/wallpapers
install -m 755 berry-bg.jpg %{buildroot}/usr/share/wallpapers
install -m 755 berry-login.jpg %{buildroot}/usr/share/wallpapers
##install -m 755 wallpaper.jpg %{buildroot}/usr/local/lib

install -m 755 -d %{buildroot}/usr/share/apps/ksplash/pics
install -m 755 -d %{buildroot}/usr/share/apps/kicker/pics
###cp -a ksplash/pics/* %{buildroot}/usr/share/apps/ksplash/pics/
cp -a ksplash/* %{buildroot}/usr/share/apps/ksplash/pics/
cp -a kicker/* %{buildroot}/usr/share/apps/kicker/pics/
#install -d -m 755 %{buildroot}/usr/share/icons
#cp -a icons/* %{buildroot}/usr/share/icons/

#rm -rf $RPM_BUILD_ROOT
#mkdir -p $RPM_BUILD_ROOT/usr/share/apps/kstyle
#mkdir -p $RPM_BUILD_ROOT/usr/share/apps/kthememgr/Themes
#mkdir -p $RPM_BUILD_ROOT/etc/cron.daily
#mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1
#mkdir -p $RPM_BUILD_ROOT/usr/share/apps/kwin/icewm-themes
#pushd style
#  cp -R -f pixmaps $RPM_BUILD_ROOT/usr/share/apps/kstyle/
#  cp -R -f themes $RPM_BUILD_ROOT/usr/share/apps/kstyle/
#  cp -R -f wallpapers $RPM_BUILD_ROOT/usr/share/
#popd
#pushd theme
#  cp -f Acqua.ktheme $RPM_BUILD_ROOT/usr/share/apps/kthememgr/Themes/
#  cp -R -f Acqua $RPM_BUILD_ROOT/usr/share/apps/kwin/icewm-themes/
#popd


##
## Clean Section
##

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


##
## Files Section
##

%files
%defattr (-,root,root)
/usr/share/apps/kicker/pics/*
/usr/share/apps/ksplash/pics/*
#/usr/share/apps/kstyle/pixmaps/*
#/usr/share/apps/kstyle/themes/*
/usr/share/wallpapers/*
#/usr/share/apps/kthememgr/Themes/*
#/usr/share/apps/kwin/icewm-themes/*


##
## change log
##

%changelog
* Wed Jan 21 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed the wallpaper (for Berry Linux 0.35)
* Sat Nov 8 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed the wallpaper (for Berry Linux 0.29)
* Mon Oct 27 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed ksplash images (for Berry Linux 0.28)
- Added the wallpaper
* Mon Sep 22 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added K-Menu sidebar image
* Thu May 22 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
